PRINT "Dark Ages Level Viewer by Frenkel Smeijers"
PRINT "Questions and suggestions can be send to frenkel_smeijers@hotmail.com"
PRINT "Or go to http://www.sfprod.cjb.net"
PRINT
PRINT "Keys:"
PRINT "LEFT     scroll left"
PRINT "RIGHT    scroll right"
PRINT "UP       a level forward"
PRINT "DOWN     a level back"
PRINT "ESC      quit"
PRINT
PRINT "Press the episode number to view that episode."
PRINT "Every other input will quit this program."
PRINT
PRINT "Loading graphics and levels might take a while."
PRINT
INPUT "View episode (1-3): ", episodenumber$
IF LEN(episodenumber$) <> 1 THEN END
episodenumber% = VAL(episodenumber$)
IF episodenumber% < 1 OR episodenumber% > 3 THEN END

FOR bestandsnummer% = 1 TO 8
  IF bestandsnummer% = 1 THEN
    filename$ = "file05.da" + episodenumber$
  ELSEIF bestandsnummer% = 2 THEN filename$ = "file06.da" + episodenumber$
  ELSEIF bestandsnummer% = 3 THEN filename$ = "file07.da" + episodenumber$
  ELSEIF bestandsnummer% = 4 THEN filename$ = "file08.da" + episodenumber$
  ELSEIF bestandsnummer% = 5 THEN filename$ = "file09.da" + episodenumber$
  ELSEIF bestandsnummer% = 6 THEN filename$ = "file10.da" + episodenumber$
  ELSEIF bestandsnummer% = 7 THEN filename$ = "file11.da" + episodenumber$
  ELSEIF bestandsnummer% = 8 THEN filename$ = "file12.da" + episodenumber$
  END IF
  OPEN filename$ FOR BINARY AS bestandsnummer%
  IF LOF(bestandsnummer%) = 0 THEN
    PRINT "Can't find " + filename$
    CLOSE bestandsnummer%
    KILL filename$
    END
  END IF
NEXT bestandsnummer%

DIM level(0 TO 9) AS STRING * 1152
DIM tiles(0 TO 255) AS STRING * 128
DIM byte AS STRING * 1

FOR tilenumber% = 0 TO 255
  IF tilenumber% = 0 THEN
    filenumber% = 2
    offset% = 4
  ELSEIF tilenumber% = 1 THEN filenumber% = 2: offset% = 164
  ELSEIF tilenumber% = 2 THEN filenumber% = 2: offset% = 324
  ELSEIF tilenumber% = 3 THEN filenumber% = 2: offset% = 484
  ELSEIF tilenumber% = 4 THEN filenumber% = 2: offset% = 644
  ELSEIF tilenumber% = 5 THEN filenumber% = 2: offset% = 804
  ELSEIF tilenumber% = 6 THEN filenumber% = 2: offset% = 964
  ELSEIF tilenumber% = 7 THEN filenumber% = 2: offset% = 1124
  ELSEIF tilenumber% = 8 THEN filenumber% = 2: offset% = 1284
  ELSEIF tilenumber% = 9 THEN filenumber% = 2: offset% = 1444
  ELSEIF tilenumber% = 10 THEN filenumber% = 2: offset% = 1604
  ELSEIF tilenumber% = 11 THEN filenumber% = 2: offset% = 1764
  ELSEIF tilenumber% = 12 THEN filenumber% = 2: offset% = 1924
  ELSEIF tilenumber% = 13 THEN filenumber% = 2: offset% = 2084
  ELSEIF tilenumber% = 14 THEN filenumber% = 2: offset% = 2244
  ELSEIF tilenumber% = 15 THEN filenumber% = 2: offset% = 2404
  ELSEIF tilenumber% = 16 THEN filenumber% = 2: offset% = 2564
  ELSEIF tilenumber% = 17 THEN filenumber% = 2: offset% = 2724
  ELSEIF tilenumber% = 18 THEN filenumber% = 2: offset% = 2884
  ELSEIF tilenumber% = 19 THEN filenumber% = 2: offset% = 3044
  ELSEIF tilenumber% = 20 THEN filenumber% = 2: offset% = 3204
  ELSEIF tilenumber% = 21 THEN filenumber% = 2: offset% = 3364
  ELSEIF tilenumber% = 22 THEN filenumber% = 2: offset% = 3524
  ELSEIF tilenumber% = 23 THEN filenumber% = 2: offset% = 3684
  ELSEIF tilenumber% = 24 THEN filenumber% = 2: offset% = 3844
  ELSEIF tilenumber% = 25 THEN filenumber% = 2: offset% = 4004
  ELSEIF tilenumber% = 26 THEN filenumber% = 2: offset% = 4164
  ELSEIF tilenumber% = 27 THEN filenumber% = 2: offset% = 4324
  ELSEIF tilenumber% = 28 THEN filenumber% = 2: offset% = 4484
  ELSEIF tilenumber% = 29 THEN filenumber% = 2: offset% = 4644
  ELSEIF tilenumber% = 30 THEN filenumber% = 2: offset% = 4804
  ELSEIF tilenumber% = 31 THEN filenumber% = 2: offset% = 4964
  ELSEIF tilenumber% = 32 THEN filenumber% = 2: offset% = 5124
  ELSEIF tilenumber% = 33 THEN filenumber% = 2: offset% = 5284
  ELSEIF tilenumber% = 34 THEN filenumber% = 2: offset% = 5444
  ELSEIF tilenumber% = 35 THEN filenumber% = 2: offset% = 5604
  ELSEIF tilenumber% = 36 THEN filenumber% = 2: offset% = 5764
  ELSEIF tilenumber% = 37 THEN filenumber% = 2: offset% = 5924
  ELSEIF tilenumber% = 38 THEN filenumber% = 2: offset% = 6084
  ELSEIF tilenumber% = 39 THEN filenumber% = 2: offset% = 6244
  ELSEIF tilenumber% = 40 THEN filenumber% = 2: offset% = 6404
  ELSEIF tilenumber% = 41 THEN filenumber% = 2: offset% = 6564
  ELSEIF tilenumber% = 42 THEN filenumber% = 2: offset% = 6724
  ELSEIF tilenumber% = 43 THEN filenumber% = 2: offset% = 6884
  ELSEIF tilenumber% = 44 THEN filenumber% = 2: offset% = 7044
  ELSEIF tilenumber% = 45 THEN filenumber% = 2: offset% = 7204
  ELSEIF tilenumber% = 46 THEN filenumber% = 2: offset% = 7364
  ELSEIF tilenumber% = 47 THEN filenumber% = 2: offset% = 7524
  ELSEIF tilenumber% = 48 THEN filenumber% = 2: offset% = 7684
  ELSEIF tilenumber% = 49 THEN filenumber% = 2: offset% = 7844
  ELSEIF tilenumber% = 50 THEN filenumber% = 3: offset% = 4
  ELSEIF tilenumber% = 51 THEN filenumber% = 3: offset% = 164
  ELSEIF tilenumber% = 52 THEN filenumber% = 3: offset% = 324
  ELSEIF tilenumber% = 53 THEN filenumber% = 3: offset% = 484
  ELSEIF tilenumber% = 54 THEN filenumber% = 3: offset% = 644
  ELSEIF tilenumber% = 55 THEN filenumber% = 3: offset% = 804
  ELSEIF tilenumber% = 56 THEN filenumber% = 3: offset% = 964
  ELSEIF tilenumber% = 57 THEN filenumber% = 3: offset% = 1124
  ELSEIF tilenumber% = 58 THEN filenumber% = 3: offset% = 1284
  ELSEIF tilenumber% = 59 THEN filenumber% = 3: offset% = 1444
  ELSEIF tilenumber% = 60 THEN filenumber% = 3: offset% = 1604
  ELSEIF tilenumber% = 61 THEN filenumber% = 3: offset% = 1764
  ELSEIF tilenumber% = 62 THEN filenumber% = 3: offset% = 1924
  ELSEIF tilenumber% = 63 THEN filenumber% = 3: offset% = 2084
  ELSEIF tilenumber% = 64 THEN filenumber% = 3: offset% = 2244
  ELSEIF tilenumber% = 65 THEN filenumber% = 3: offset% = 2404
  ELSEIF tilenumber% = 66 THEN filenumber% = 3: offset% = 2564
  ELSEIF tilenumber% = 67 THEN filenumber% = 3: offset% = 2724
  ELSEIF tilenumber% = 68 THEN filenumber% = 3: offset% = 2884
  ELSEIF tilenumber% = 69 THEN filenumber% = 3: offset% = 3044
  ELSEIF tilenumber% = 70 THEN filenumber% = 3: offset% = 3204
  ELSEIF tilenumber% = 71 THEN filenumber% = 3: offset% = 3364
  ELSEIF tilenumber% = 72 THEN filenumber% = 3: offset% = 3524
  ELSEIF tilenumber% = 73 THEN filenumber% = 3: offset% = 3684
  ELSEIF tilenumber% = 74 THEN filenumber% = 3: offset% = 3844
  ELSEIF tilenumber% = 75 THEN filenumber% = 3: offset% = 4004
  ELSEIF tilenumber% = 76 THEN filenumber% = 3: offset% = 4164
  ELSEIF tilenumber% = 77 THEN filenumber% = 3: offset% = 4324
  ELSEIF tilenumber% = 78 THEN filenumber% = 3: offset% = 4484
  ELSEIF tilenumber% = 79 THEN filenumber% = 3: offset% = 4644
  ELSEIF tilenumber% = 80 THEN filenumber% = 3: offset% = 4804
  ELSEIF tilenumber% = 81 THEN filenumber% = 3: offset% = 4964
  ELSEIF tilenumber% = 82 THEN filenumber% = 3: offset% = 5124
  ELSEIF tilenumber% = 83 THEN filenumber% = 3: offset% = 5284
  ELSEIF tilenumber% = 84 THEN filenumber% = 3: offset% = 5444
  ELSEIF tilenumber% = 85 THEN filenumber% = 3: offset% = 5604
  ELSEIF tilenumber% = 86 THEN filenumber% = 3: offset% = 5764
  ELSEIF tilenumber% = 87 THEN filenumber% = 3: offset% = 5924
  ELSEIF tilenumber% = 88 THEN filenumber% = 3: offset% = 6084
  ELSEIF tilenumber% = 89 THEN filenumber% = 3: offset% = 6244
  ELSEIF tilenumber% = 90 THEN filenumber% = 3: offset% = 6404
  ELSEIF tilenumber% = 91 THEN filenumber% = 3: offset% = 6564
  ELSEIF tilenumber% = 92 THEN filenumber% = 3: offset% = 6724
  ELSEIF tilenumber% = 93 THEN filenumber% = 3: offset% = 6884
  ELSEIF tilenumber% = 94 THEN filenumber% = 3: offset% = 7044
  ELSEIF tilenumber% = 95 THEN filenumber% = 3: offset% = 7204
  ELSEIF tilenumber% = 96 THEN filenumber% = 3: offset% = 7364
  ELSEIF tilenumber% = 97 THEN filenumber% = 3: offset% = 7524
  ELSEIF tilenumber% = 98 THEN filenumber% = 3: offset% = 7684
  ELSEIF tilenumber% = 99 THEN filenumber% = 3: offset% = 7844
  ELSEIF tilenumber% = 100 THEN filenumber% = 5: offset% = 164
  ELSEIF tilenumber% = 101 THEN filenumber% = 5: offset% = 1284
  ELSEIF tilenumber% = 102 THEN filenumber% = 5: offset% = 2884
  ELSEIF tilenumber% = 103 THEN filenumber% = 5: offset% = 3844
  ELSEIF tilenumber% = 104 THEN filenumber% = 5: offset% = 5444
  ELSEIF tilenumber% = 105 THEN filenumber% = 5: offset% = 6084
  ELSEIF tilenumber% = 106 THEN filenumber% = 5: offset% = 6724
  ELSEIF tilenumber% = 107 THEN filenumber% = 5: offset% = 7684
  ELSEIF tilenumber% = 108 THEN filenumber% = 6: offset% = 4
  ELSEIF tilenumber% = 109 THEN filenumber% = 6: offset% = 4804
  ELSEIF tilenumber% = 110 THEN filenumber% = 6: offset% = 5604
  ELSEIF tilenumber% = 111 THEN filenumber% = 6: offset% = 5764
  ELSEIF tilenumber% = 112 THEN filenumber% = 6: offset% = 6244
  ELSEIF tilenumber% = 113 THEN filenumber% = 6: offset% = 6724
  ELSEIF tilenumber% = 114 THEN filenumber% = 6: offset% = 7364
  ELSEIF tilenumber% = 115 THEN filenumber% = 7: offset% = 4
  ELSEIF tilenumber% = 116 THEN filenumber% = 7: offset% = 164
  ELSEIF tilenumber% = 117 THEN filenumber% = 7: offset% = 324
  ELSEIF tilenumber% = 118 THEN filenumber% = 7: offset% = 484
  ELSEIF tilenumber% = 119 THEN filenumber% = 7: offset% = 644
  ELSEIF tilenumber% = 120 THEN filenumber% = 5: offset% = 644
  ELSEIF tilenumber% = 121 THEN filenumber% = 5: offset% = 804
  ELSEIF tilenumber% = 122 THEN filenumber% = 5: offset% = 964
  ELSEIF tilenumber% = 123 THEN filenumber% = 5: offset% = 1124
  ELSEIF tilenumber% = 124 THEN filenumber% = 7: offset% = 1924
  ELSEIF tilenumber% = 125 THEN filenumber% = 7: offset% = 2244
  ELSEIF tilenumber% = 126 THEN filenumber% = 7: offset% = 1284
  ELSEIF tilenumber% = 127 THEN filenumber% = 7: offset% = 1444
  ELSEIF tilenumber% = 128 THEN filenumber% = 7: offset% = 1604
  ELSEIF tilenumber% = 129 THEN filenumber% = 7: offset% = 3684
  ELSEIF tilenumber% = 130 THEN filenumber% = 7: offset% = 3844
  ELSEIF tilenumber% = 131 THEN filenumber% = 7: offset% = 4004
  ELSEIF tilenumber% = 132 THEN filenumber% = 2: offset% = 1604
  ELSEIF tilenumber% = 133 THEN filenumber% = 7: offset% = 4804
  ELSEIF tilenumber% = 134 THEN filenumber% = 7: offset% = 4964
  ELSEIF tilenumber% = 135 THEN filenumber% = 7: offset% = 5124
  ELSEIF tilenumber% = 136 THEN filenumber% = 7: offset% = 5284
  ELSEIF tilenumber% = 137 THEN filenumber% = 7: offset% = 5604
  ELSEIF tilenumber% = 138 THEN filenumber% = 7: offset% = 5764
  ELSEIF tilenumber% = 139 THEN filenumber% = 7: offset% = 6404
  ELSEIF tilenumber% = 140 THEN filenumber% = 5: offset% = 5124
  ELSEIF tilenumber% = 141 THEN filenumber% = 7: offset% = 7524
  ELSEIF tilenumber% = 142 THEN filenumber% = 5: offset% = 4804
  ELSEIF tilenumber% = 143 THEN filenumber% = 8: offset% = 4
  ELSEIF tilenumber% = 144 THEN filenumber% = 4: offset% = 7044
  ELSEIF tilenumber% = 145 THEN filenumber% = 4: offset% = 7204
  ELSEIF tilenumber% = 146 THEN filenumber% = 4: offset% = 7364
  ELSEIF tilenumber% = 147 THEN filenumber% = 4: offset% = 7524
  ELSEIF tilenumber% = 148 THEN filenumber% = 4: offset% = 7684
  ELSEIF tilenumber% = 149 THEN filenumber% = 4: offset% = 7844
  ELSEIF tilenumber% = 150 THEN filenumber% = 5: offset% = 4
  ELSEIF tilenumber% = 151 THEN filenumber% = 5: offset% = 164
  ELSEIF tilenumber% = 152 THEN filenumber% = 5: offset% = 324
  ELSEIF tilenumber% = 153 THEN filenumber% = 5: offset% = 484
  ELSEIF tilenumber% = 154 THEN filenumber% = 5: offset% = 644
  ELSEIF tilenumber% = 155 THEN filenumber% = 5: offset% = 804
  ELSEIF tilenumber% = 156 THEN filenumber% = 5: offset% = 964
  ELSEIF tilenumber% = 157 THEN filenumber% = 5: offset% = 1124
  ELSEIF tilenumber% = 158 THEN filenumber% = 5: offset% = 1284
  ELSEIF tilenumber% = 159 THEN filenumber% = 5: offset% = 1444
  ELSEIF tilenumber% = 160 THEN filenumber% = 5: offset% = 1604
  ELSEIF tilenumber% = 161 THEN filenumber% = 5: offset% = 1764
  ELSEIF tilenumber% = 162 THEN filenumber% = 5: offset% = 1924
  ELSEIF tilenumber% = 163 THEN filenumber% = 5: offset% = 2084
  ELSEIF tilenumber% = 164 THEN filenumber% = 5: offset% = 2244
  ELSEIF tilenumber% = 165 THEN filenumber% = 5: offset% = 2404
  ELSEIF tilenumber% = 166 THEN filenumber% = 5: offset% = 2564
  ELSEIF tilenumber% = 167 THEN filenumber% = 5: offset% = 2724
  ELSEIF tilenumber% = 168 THEN filenumber% = 5: offset% = 2884
  ELSEIF tilenumber% = 169 THEN filenumber% = 5: offset% = 3044
  ELSEIF tilenumber% = 170 THEN filenumber% = 5: offset% = 3204
  ELSEIF tilenumber% = 171 THEN filenumber% = 5: offset% = 3364
  ELSEIF tilenumber% = 172 THEN filenumber% = 5: offset% = 3524
  ELSEIF tilenumber% = 173 THEN filenumber% = 5: offset% = 3684
  ELSEIF tilenumber% = 174 THEN filenumber% = 5: offset% = 3844
  ELSEIF tilenumber% = 175 THEN filenumber% = 5: offset% = 4004
  ELSEIF tilenumber% = 176 THEN filenumber% = 5: offset% = 4164
  ELSEIF tilenumber% = 177 THEN filenumber% = 5: offset% = 4324
  ELSEIF tilenumber% = 178 THEN filenumber% = 5: offset% = 4484
  ELSEIF tilenumber% = 179 THEN filenumber% = 5: offset% = 4644
  ELSEIF tilenumber% = 180 THEN filenumber% = 5: offset% = 4804
  ELSEIF tilenumber% = 181 THEN filenumber% = 5: offset% = 4964
  ELSEIF tilenumber% = 182 THEN filenumber% = 5: offset% = 5124
  ELSEIF tilenumber% = 183 THEN filenumber% = 5: offset% = 5284
  ELSEIF tilenumber% = 184 THEN filenumber% = 5: offset% = 5444
  ELSEIF tilenumber% = 185 THEN filenumber% = 5: offset% = 5604
  ELSEIF tilenumber% = 186 THEN filenumber% = 5: offset% = 5764
  ELSEIF tilenumber% = 187 THEN filenumber% = 5: offset% = 5924
  ELSEIF tilenumber% = 188 THEN filenumber% = 5: offset% = 6084
  ELSEIF tilenumber% = 189 THEN filenumber% = 5: offset% = 6244
  ELSEIF tilenumber% = 190 THEN filenumber% = 5: offset% = 6404
  ELSEIF tilenumber% = 191 THEN filenumber% = 5: offset% = 6564
  ELSEIF tilenumber% = 192 THEN filenumber% = 5: offset% = 6724
  ELSEIF tilenumber% = 193 THEN filenumber% = 5: offset% = 6884
  ELSEIF tilenumber% = 194 THEN filenumber% = 5: offset% = 7044
  ELSEIF tilenumber% = 195 THEN filenumber% = 5: offset% = 7204
  ELSEIF tilenumber% = 196 THEN filenumber% = 5: offset% = 7364
  ELSEIF tilenumber% = 197 THEN filenumber% = 5: offset% = 7524
  ELSEIF tilenumber% = 198 THEN filenumber% = 5: offset% = 7684
  ELSEIF tilenumber% = 199 THEN filenumber% = 5: offset% = 7844
  ELSEIF tilenumber% = 200 THEN filenumber% = 6: offset% = 4
  ELSEIF tilenumber% = 201 THEN filenumber% = 6: offset% = 164
  ELSEIF tilenumber% = 202 THEN filenumber% = 6: offset% = 324
  ELSEIF tilenumber% = 203 THEN filenumber% = 6: offset% = 484
  ELSEIF tilenumber% = 204 THEN filenumber% = 6: offset% = 644
  ELSEIF tilenumber% = 205 THEN filenumber% = 6: offset% = 804
  ELSEIF tilenumber% = 206 THEN filenumber% = 6: offset% = 964
  ELSEIF tilenumber% = 207 THEN filenumber% = 6: offset% = 1124
  ELSEIF tilenumber% = 208 THEN filenumber% = 6: offset% = 1284
  ELSEIF tilenumber% = 209 THEN filenumber% = 6: offset% = 1444
  ELSEIF tilenumber% = 210 THEN filenumber% = 6: offset% = 1604
  ELSEIF tilenumber% = 211 THEN filenumber% = 6: offset% = 1764
  ELSEIF tilenumber% = 212 THEN filenumber% = 6: offset% = 1924
  ELSEIF tilenumber% = 213 THEN filenumber% = 6: offset% = 2084
  ELSEIF tilenumber% = 214 THEN filenumber% = 6: offset% = 2244
  ELSEIF tilenumber% = 215 THEN filenumber% = 6: offset% = 2404
  ELSEIF tilenumber% = 216 THEN filenumber% = 6: offset% = 2564
  ELSEIF tilenumber% = 217 THEN filenumber% = 6: offset% = 2724
  ELSEIF tilenumber% = 218 THEN filenumber% = 6: offset% = 2884
  ELSEIF tilenumber% = 219 THEN filenumber% = 6: offset% = 3044
  ELSEIF tilenumber% = 220 THEN filenumber% = 6: offset% = 3204
  ELSEIF tilenumber% = 221 THEN filenumber% = 6: offset% = 3364
  ELSEIF tilenumber% = 222 THEN filenumber% = 6: offset% = 3524
  ELSEIF tilenumber% = 223 THEN filenumber% = 6: offset% = 3684
  ELSEIF tilenumber% = 224 THEN filenumber% = 6: offset% = 3844
  ELSEIF tilenumber% = 225 THEN filenumber% = 6: offset% = 4004
  ELSEIF tilenumber% = 226 THEN filenumber% = 6: offset% = 4164
  ELSEIF tilenumber% = 227 THEN filenumber% = 6: offset% = 4324
  ELSEIF tilenumber% = 228 THEN filenumber% = 6: offset% = 4484
  ELSEIF tilenumber% = 229 THEN filenumber% = 6: offset% = 4644
  ELSEIF tilenumber% = 230 THEN filenumber% = 6: offset% = 4804
  ELSEIF tilenumber% = 231 THEN filenumber% = 6: offset% = 4964
  ELSEIF tilenumber% = 232 THEN filenumber% = 6: offset% = 5124
  ELSEIF tilenumber% = 233 THEN filenumber% = 6: offset% = 5284
  ELSEIF tilenumber% = 234 THEN filenumber% = 6: offset% = 5444
  ELSEIF tilenumber% = 235 THEN filenumber% = 6: offset% = 5604
  ELSEIF tilenumber% = 236 THEN filenumber% = 6: offset% = 5764
  ELSEIF tilenumber% = 237 THEN filenumber% = 6: offset% = 5924
  ELSEIF tilenumber% = 238 THEN filenumber% = 6: offset% = 6084
  ELSEIF tilenumber% = 239 THEN filenumber% = 6: offset% = 6244
  ELSEIF tilenumber% = 240 THEN filenumber% = 6: offset% = 6404
  ELSEIF tilenumber% = 241 THEN filenumber% = 6: offset% = 6564
  ELSEIF tilenumber% = 242 THEN filenumber% = 6: offset% = 6724
  ELSEIF tilenumber% = 243 THEN filenumber% = 6: offset% = 6884
  ELSEIF tilenumber% = 244 THEN filenumber% = 6: offset% = 7044
  ELSEIF tilenumber% = 245 THEN filenumber% = 6: offset% = 7204
  ELSEIF tilenumber% = 246 THEN filenumber% = 6: offset% = 7364
  ELSEIF tilenumber% = 247 THEN filenumber% = 6: offset% = 7524
  ELSEIF tilenumber% = 248 THEN filenumber% = 6: offset% = 7684
  ELSEIF tilenumber% = 249 THEN filenumber% = 6: offset% = 7844
  ELSEIF tilenumber% = 250 THEN filenumber% = 7: offset% = 4
  ELSEIF tilenumber% = 251 THEN filenumber% = 7: offset% = 164
  ELSEIF tilenumber% = 252 THEN filenumber% = 7: offset% = 324
  ELSEIF tilenumber% = 253 THEN filenumber% = 7: offset% = 484
  ELSEIF tilenumber% = 254 THEN filenumber% = 7: offset% = 644
  ELSEIF tilenumber% = 255 THEN filenumber% = 7: offset% = 804
  END IF

  SEEK filenumber%, offset%
  pp% = 0
  FOR y% = 0 TO 15
    FOR x% = 0 TO 1
      FOR i% = 0 TO 4
        GET filenumber%, , byte
        IF i% > 0 THEN
          pp% = pp% + 1
          MID$(tiles(tilenumber%), pp%, 1) = byte
        END IF
      NEXT i%
    NEXT x%
  NEXT y%

NEXT tilenumber%

FOR levelnummer% = 0 TO 9
  GET #1, , level(levelnummer%)
NEXT levelnummer%
levelnummer% = 0
CLOSE

SCREEN 7
OUT &H3D4, &H13
OUT &H3D5, 128

levelkiezen:
DEF SEG = &HA000

OUT &H3C4, 2
OUT &H3C5, 255
FOR clearvideomemory& = 0 TO 36863
  POKE clearvideomemory&, 0
NEXT clearvideomemory&

FOR levely% = 0 TO 143 STEP 16
  FOR levelx% = 0 TO 255 STEP 2
    tegelnummer% = ASC(MID$(level(levelnummer%), levely% * 8 + levelx% \ 2 + 1, 1))
    k% = 0
    FOR y% = 0 TO 15
      FOR x% = 0 TO 1
        FOR i% = 0 TO 3
          k% = k% + 1
          colour% = ASC(MID$(tiles(tegelnummer%), k%, 1))
          IF colour% > 0 THEN
            OUT &H3C4, 2
            OUT &H3C5, 2 ^ i%
            POKE (y% + levely%) * 256& + x% + levelx%, colour%
          END IF
        NEXT i%
      NEXT x%
    NEXT y%
  NEXT levelx%
NEXT levely%
DEF SEG

show:
reserve% = INP(&H3DA)
OUT &H3C0, &H33
OUT &H3C0, pelpanning%
OUT &H3D4, &HD
OUT &H3D5, startaddresslo%

SOUND 0, .0227273

DO
toets% = INP(&H60)
IF toets% = 77 AND horizontaal% < 1728 THEN             'right
  GOSUB ckb
  horizontaal% = horizontaal% + 1
  IF pelpanning% < 7 THEN
    pelpanning% = pelpanning% + 1
  ELSE
    pelpanning% = 0
    startaddresslo% = startaddresslo% + 1
  END IF
  GOTO show
ELSEIF toets% = 75 AND horizontaal% > 0 THEN            'left
  GOSUB ckb
  horizontaal% = horizontaal% - 1
  IF pelpanning% > 0 THEN
    pelpanning% = pelpanning% - 1
  ELSE
    pelpanning% = 7
    startaddresslo% = startaddresslo% - 1
  END IF
  GOTO show
ELSEIF toets% = 72 THEN
  GOSUB ckb
  IF levelnummer% < 9 THEN
    levelnummer% = levelnummer% + 1
    GOTO levelkiezen
  END IF
ELSEIF toets% = 80 THEN
  GOSUB ckb
  IF levelnummer% > 0 THEN
    levelnummer% = levelnummer% - 1
    GOTO levelkiezen
  END IF
ELSEIF toets% = 1 THEN
  GOSUB ckb
  END
END IF
LOOP



ckb:
DEF SEG = &H40
POKE &H1A, PEEK(&H1C)
POKE &H1B, PEEK(&H1D)
DEF SEG
RETURN

